package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合同回款对象 cmc_contract_payment
 * 
 * @author cmc
 * @date 2024-04-19
 */
public class CmcContractPayment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合同回款id */
    private Long paymentId;

    /** 合同id */
    @Excel(name = "合同id")
    private String contractId;

    /** 回款条件 */
    @Excel(name = "回款条件")
    private String paymentCondition;

    /** 回款比例 */
    @Excel(name = "回款比例")
    private String paymentPercentage;

    /** 回款金额 */
    @Excel(name = "回款金额")
    private String paymentAmount;

    /** 回款预计时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回款预计时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date paymentTime;

    public void setPaymentId(Long paymentId)
    {
        this.paymentId = paymentId;
    }

    public Long getPaymentId()
    {
        return paymentId;
    }
    public void setContractId(String contractId) 
    {
        this.contractId = contractId;
    }

    public String getContractId() 
    {
        return contractId;
    }
    public void setPaymentCondition(String paymentCondition) 
    {
        this.paymentCondition = paymentCondition;
    }

    public String getPaymentCondition() 
    {
        return paymentCondition;
    }
    public void setPaymentPercentage(String paymentPercentage) 
    {
        this.paymentPercentage = paymentPercentage;
    }

    public String getPaymentPercentage() 
    {
        return paymentPercentage;
    }
    public void setPaymentAmount(String paymentAmount) 
    {
        this.paymentAmount = paymentAmount;
    }

    public String getPaymentAmount() 
    {
        return paymentAmount;
    }
    public void setPaymentTime(Date paymentTime) 
    {
        this.paymentTime = paymentTime;
    }

    public Date getPaymentTime() 
    {
        return paymentTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("paymentId", getPaymentId())
            .append("contractId", getContractId())
            .append("paymentCondition", getPaymentCondition())
            .append("paymentPercentage", getPaymentPercentage())
            .append("paymentAmount", getPaymentAmount())
            .append("paymentTime", getPaymentTime())
            .append("remark", getRemark())
            .toString();
    }
}
